package com.qmth.ops.api.controller.admin;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.core.ai.model.llm.LlmAppType;
import com.qmth.ops.api.constants.OpsApiConstants;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping(OpsApiConstants.ADMIN_URI_PREFIX + "/llm")
public class LlmInfoController {

    @RequestMapping("/app_types")
    @Aac(auth = false)
    public Object list() {
        return LlmAppType.values();
    }

}
